<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [hasUnlock](./bitburner.corporation.hasunlock.md)

## Corporation.hasUnlock() method

Check if you have a one time unlockable upgrade

**Signature:**

```typescript
hasUnlock(upgradeName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgradeName | string | Name of the upgrade |

**Returns:**

boolean

true if unlocked and false if not

